TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

ParentRing ( newtgon N ) -> rng

### Description

<shortdoc> The parent ring of the polynomial used to define the N; an error if a polynomial was not used. </shortdoc>

### Examples

x_z3 := pAdicRing(3,20); x_z3x := PolynomialAlgebra(x_z3); x_f := 9*x_z3x.1^5+6*x_z3x.1^4+x_z3x.1^2+27*x_z3x.1+3; x_nf := NewtonPolygon(x_f); ParentRing(x_nf);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack